#include "run-time.h"

void _Init_llvm_ () __attribute__((constructor));
void _Init_llvm_ () {
  extern void _Init_Run_Time();
  extern void _Init_big_integers_();
  extern void _Init_generic_arithmetic_();
  extern void _Init_system_();
  extern void _Init_io_();
  extern void _Init_collections_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_llvm__X_llvm_library_for_system();
  extern void _Init_llvm__X_double_machine_word_for_system();
  extern void _Init_llvm__X_llvm_module_for_system();
  extern void _Init_llvm__X_llvm_type_for_system();
  extern void _Init_llvm__X_llvm_type_print_for_system();
  extern void _Init_llvm__X_llvm_value_for_system();
  extern void _Init_llvm__X_llvm_operator_for_system();
  extern void _Init_llvm__X_llvm_constant_for_system();
  extern void _Init_llvm__X_llvm_global_for_system();
  extern void _Init_llvm__X_llvm_metadata_for_system();
  extern void _Init_llvm__X_llvm_attribute_for_system();
  extern void _Init_llvm__X_llvm_instruction_for_system();
  extern void _Init_llvm__X_llvm_basic_block_for_system();
  extern void _Init_llvm__X_llvm_function_for_system();
  extern void _Init_llvm__X_llvm_intrinsics_for_system();
  extern void _Init_llvm__X_bitcode_for_system();
  extern void _Init_llvm__X_llvm_bitcode_for_system();
  extern void _Init_llvm__X_llvm_builder_for_system();
  extern void _Init_llvm__X_llvm_debug_for_system();
  extern void _Init_llvm__X_llvm_library_for_user();
  extern void _Init_llvm__X_double_machine_word_for_user();
  extern void _Init_llvm__X_llvm_module_for_user();
  extern void _Init_llvm__X_llvm_type_for_user();
  extern void _Init_llvm__X_llvm_type_print_for_user();
  extern void _Init_llvm__X_llvm_value_for_user();
  extern void _Init_llvm__X_llvm_operator_for_user();
  extern void _Init_llvm__X_llvm_constant_for_user();
  extern void _Init_llvm__X_llvm_global_for_user();
  extern void _Init_llvm__X_llvm_metadata_for_user();
  extern void _Init_llvm__X_llvm_attribute_for_user();
  extern void _Init_llvm__X_llvm_instruction_for_user();
  extern void _Init_llvm__X_llvm_basic_block_for_user();
  extern void _Init_llvm__X_llvm_function_for_user();
  extern void _Init_llvm__X_llvm_intrinsics_for_user();
  extern void _Init_llvm__X_bitcode_for_user();
  extern void _Init_llvm__X_llvm_bitcode_for_user();
  extern void _Init_llvm__X_llvm_builder_for_user();
  extern void _Init_llvm__X_llvm_debug_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_big_integers_();
    _Init_generic_arithmetic_();
    _Init_system_();
    _Init_io_();
    _Init_collections_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_llvm__X_llvm_library_for_system();
    _Init_llvm__X_double_machine_word_for_system();
    _Init_llvm__X_llvm_module_for_system();
    _Init_llvm__X_llvm_type_for_system();
    _Init_llvm__X_llvm_type_print_for_system();
    _Init_llvm__X_llvm_value_for_system();
    _Init_llvm__X_llvm_operator_for_system();
    _Init_llvm__X_llvm_constant_for_system();
    _Init_llvm__X_llvm_global_for_system();
    _Init_llvm__X_llvm_metadata_for_system();
    _Init_llvm__X_llvm_attribute_for_system();
    _Init_llvm__X_llvm_instruction_for_system();
    _Init_llvm__X_llvm_basic_block_for_system();
    _Init_llvm__X_llvm_function_for_system();
    _Init_llvm__X_llvm_intrinsics_for_system();
    _Init_llvm__X_bitcode_for_system();
    _Init_llvm__X_llvm_bitcode_for_system();
    _Init_llvm__X_llvm_builder_for_system();
    _Init_llvm__X_llvm_debug_for_system();
    _Init_llvm__X_llvm_library_for_user();
    _Init_llvm__X_double_machine_word_for_user();
    _Init_llvm__X_llvm_module_for_user();
    _Init_llvm__X_llvm_type_for_user();
    _Init_llvm__X_llvm_type_print_for_user();
    _Init_llvm__X_llvm_value_for_user();
    _Init_llvm__X_llvm_operator_for_user();
    _Init_llvm__X_llvm_constant_for_user();
    _Init_llvm__X_llvm_global_for_user();
    _Init_llvm__X_llvm_metadata_for_user();
    _Init_llvm__X_llvm_attribute_for_user();
    _Init_llvm__X_llvm_instruction_for_user();
    _Init_llvm__X_llvm_basic_block_for_user();
    _Init_llvm__X_llvm_function_for_user();
    _Init_llvm__X_llvm_intrinsics_for_user();
    _Init_llvm__X_bitcode_for_user();
    _Init_llvm__X_llvm_bitcode_for_user();
    _Init_llvm__X_llvm_builder_for_user();
    _Init_llvm__X_llvm_debug_for_user();
  }
}
